#
# spec file for package ceph-deploy
#

%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%define pre rc1

#################################################################################
# common
#################################################################################
Name:           ceph-deploy
Version:        1.5.22
Release:        0.2.%{pre}%{?dist}
Summary:        Admin and deploy tool for Ceph
License:        MIT
Group:          System Environment/Base
URL:            http://ceph.com/
# Generate this tarball by:
# 1. git clone ceph-deploy.git
# 2. cd ceph-deploy
# 3. git checkout v1.5.22-rc1
# 4. python setup.py sdist --formats=bztar
Source0:        %{name}-%{version}-%{pre}.tar.bz2
# Patch for calamari connect failure, https://bugzilla.redhat.com/1000622
Patch0:         ceph-deploy-1.5.22-calamari-connect.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-distribute
BuildRequires:  python-setuptools
# python-virtualenv is not available for RHCEPH 1.2 on EL6
#BuildRequires: python-virtualenv
# These packages are not available for RHCEPH 1.2 on EL6 or EL7
# and they are only required for running the test suite.
#BuildRequires:  python-mock
#BuildRequires:  python-tox
%if 0%{?suse_version}
BuildRequires:  python-pytest
%else
# python-virtualenv is not available for RHCEPH 1.2 on EL6
#BuildRequires: pytest
%endif
BuildRequires:  git
Requires:       python-argparse
Requires:       python-distribute
#Requires:      lsb-release
#Requires:      ceph
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

# Bundled libraries. We can remove these in a future RHCEPH update.
Provides: bundled(python-remoto) = 0.0.23
Provides: bundled(python-execnet) = 1.2.0
Provides: bundled(python-apipkg) = 1.2

#################################################################################
# specific
#################################################################################
%if 0%{defined suse_version}
%py_requires
%endif

%description
An easy to use admin tool for deploy ceph storage clusters.

%prep
#%%setup -q -n %%{name}
%setup -q -n %{name}-%{version}-%{pre}

pushd ceph_deploy
# Patch for calamari connect failure, https://bugzilla.redhat.com/1000622
%patch0
popd

%build
#python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
install -m 0755 -D scripts/ceph-deploy $RPM_BUILD_ROOT/usr/bin

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc LICENSE README.rst
%{_bindir}/ceph-deploy
%{python_sitelib}/*

%changelog
* Wed Mar 11 2015 Ken Dreyer <kdreyer@redhat.com> - 1.5.22-0.2.rc1
- Patch for calamari connect failure (RHBZ #1200727)

* Mon Feb 23 2015 Ken Dreyer <kdreyer@redhat.com> - 1.5.22-0.1.rc1
- Update to 1.5.22-rc1 (RHBZ #1192579)

* Mon Feb 02 2015 Ken Dreyer <kdreyer@redhat.com> - 1.5.21-4
- Correct syntax for %%{?dist} tag
- Remove bogus %%{pyver} macro

* Sat Jan 03 2015 Ken Dreyer <kdreyer@redhat.com> - 1.5.21-3
- Add %%{dist} tag
- Fix tabs-to-spaces rpmlint warning
  (https://github.com/ceph/ceph-deploy/pull/256)
- Fix rpmlint warning about quote RPM macros
  (https://github.com/ceph/ceph-deploy/pull/256)
- Use a standard Group name that matches the main Ceph package

* Fri Jan 02 2015 Ken Dreyer <kdreyer@redhat.com> - 1.5.21-2
- remove more unnecessary BRs that are unavailable on EL6

* Fri Jan 02 2015 Ken Dreyer <kdreyer@redhat.com> - 1.5.21-1
- initial package import for RHCEPH
- remove unnecessary BRs (we do not run the tests during %%check)
- add Provides: for bundled libs

